import 'dart:async';

import 'package:flutter/services.dart';

class Downloader {
  static const MethodChannel _channel =
      const MethodChannel('downloader');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static download(String url,String name,String ext)async{
     await _channel.invokeMethod('Download',{"url":url,"Name":name,"ext":ext});
  }

  static getPermission()async{
     await _channel.invokeMethod('getPermission');
  }
}
