import 'package:flutter/material.dart';
import 'package:downloader/downloader.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  void initState(){
    super.initState();
    Downloader.getPermission();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: Center(
          child: FlatButton(
            child: Text("Download"),
            onPressed: (){
              Downloader.download("https://unsplash.com/photos/bh4LQHcOcxE/download?force=true","ApkPure",".img");
            },
          ),
        ),
      ),
    );
  }
}
